diff resources/initd-bela @ 314:611306d840b3 prerelease

Merge
author Giulio Moro <giuliomoro@yahoo.it>
date Fri, 27 May 2016 19:00:43 +0100
parents 6b717992c8d2
children db1714fe2814
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/resources/initd-bela	Fri May 27 19:00:43 2016 +0100
@@ -0,0 +1,28 @@
+#! /bin/sh
+# /etc/init.d/bela
+#
+
+# Some things that run always
+# ...nothing to do here
+
+# Carry out specific functions when asked to by the system
+case "$1" in
+  start)
+    echo "Adding Bela PRU Overlay..."
+    echo BB-BONE-PRU-BELA > /sys/devices/bone_capemgr.9/slots
+    echo "Adding Bela Audio Cape Overlay..."
+    echo BB-BONE-BAREAUDI-02 > /sys/devices/bone_capemgr.9/slots
+    cd /root
+    sh BeagleRT_startup.sh
+    sh BeagleRT_node.sh
+    ;;
+  stop)
+    pkill BeagleRT
+    ;;
+  *)
+    echo "Usage: /etc/init.d/bela {start|stop}"
+    exit 1
+    ;;
+esac
+
+exit 0